# Uses of Interface
org.eclipse.jface.operation.IRunnableContext

Packages that use IRunnableContext
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IRunnableContext in org.eclipse.compare

Subinterfaces of IRunnableContext in org.eclipse.compare
Modifier and Type
Interface
Description
`interface`
`ICompareContainer`
A compare container is used to represent any UI that can contain compare viewers.
Classes in org.eclipse.compare that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`CompareEditorInput`
A compare operation which can present its results in a special editor.

## Uses of IRunnableContext in org.eclipse.debug.ui

Subinterfaces of IRunnableContext in org.eclipse.debug.ui
Modifier and Type
Interface
Description
`interface`
`ILaunchConfigurationDialog`
A launch configuration dialog is used to edit and launch launch configurations.

## Uses of IRunnableContext in org.eclipse.jface.dialogs

Classes in org.eclipse.jface.dialogs that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`ProgressMonitorDialog`
A modal dialog that displays progress during a long running operation.

## Uses of IRunnableContext in org.eclipse.jface.window

Classes in org.eclipse.jface.window that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`ApplicationWindow`
An application window is a high-level "main window", with built-in support for an optional menu bar with standard menus, an optional toolbar, and an optional status line.

## Uses of IRunnableContext in org.eclipse.jface.wizard

Subinterfaces of IRunnableContext in org.eclipse.jface.wizard
Modifier and Type
Interface
Description
`interface`
`IWizardContainer`
Interface for containers that can host a wizard.
`interface`
`IWizardContainer2`
`IWizardContainer2` is a supplement to `IWizardContainer` that adds a method for updating the size of the wizard shell based on the contents of the current page.
Classes in org.eclipse.jface.wizard that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`WizardDialog`
A dialog to show a wizard to the end user.

## Uses of IRunnableContext in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring with parameters of type IRunnableContext
Modifier and Type
Method
Description
`int`
RefactoringWizardOpenOperation.`run(Shell parent, String dialogTitle, IRunnableContext context)`
Opens the refactoring dialog for the refactoring wizard passed to the constructor.
`void`
RefactoringWizard.`setInitialComputationContext(IRunnableContext context)`
Sets the runnable context that will be used to computing refactoring conditions and change while the refactoring dialog is not yet shown.

## Uses of IRunnableContext in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return IRunnableContext
Modifier and Type
Method
Description
`IRunnableContext`
ISearchPageContainer.`getRunnableContext()`
Returns the context for the search operation.
Methods in org.eclipse.search.ui with parameters of type IRunnableContext
Modifier and Type
Method
Description
`static IStatus`
NewSearchUI.`runQueryInForeground(IRunnableContext context, ISearchQuery query)`
Runs the given search query.
`static IStatus`
NewSearchUI.`runQueryInForeground(IRunnableContext context, ISearchQuery query, ISearchResultViewPart view)`
Runs the given search query.

## Uses of IRunnableContext in org.eclipse.team.ui

Classes in org.eclipse.team.ui that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`PageCompareEditorInput`
Abstract class for hosting a page based structure input view for the purposes of feeding compare viewers.
Constructors in org.eclipse.team.ui with parameters of type IRunnableContext
Modifier
Constructor
Description
`protected`
`TeamOperation(IRunnableContext context)`
Create an team operation that will run in the given context.
`protected`
`TeamOperation(IWorkbenchPart part, IRunnableContext context)`
Create an team operation associated with the given part that will run in the given context.

## Uses of IRunnableContext in org.eclipse.team.ui.history

Classes in org.eclipse.team.ui.history that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`HistoryPageCompareEditorInput`
Displays a history page combined with the compare/merge infrastructure.

## Uses of IRunnableContext in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement IRunnableContext
Modifier and Type
Class
Description
`class`
`ParticipantPageCompareEditorInput`
Displays a synchronize participant page combined with the compare/merge infrastructure.
`class`
`SaveableCompareEditorInput`
A compare editor input that makes use of a `Saveable` to manage the save lifecycle of the editor input.
`final class`
`SyncInfoCompareInput`
A `SyncInfo` editor input used as input to a two-way or three-way compare viewer.
Methods in org.eclipse.team.ui.synchronize that return IRunnableContext
Modifier and Type
Method
Description
`IRunnableContext`
ISynchronizePageConfiguration.`getRunnableContext()`
Return the runnable context.
Methods in org.eclipse.team.ui.synchronize with parameters of type IRunnableContext
Modifier and Type
Method
Description
`void`
ISynchronizePageConfiguration.`setRunnableContext(IRunnableContext context)`
Sets the runnable context that can be used by the page's actions to display progress.

## Uses of IRunnableContext in org.eclipse.ui

Subinterfaces of IRunnableContext in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IWorkbenchWindow`
A workbench window is a top level window in a workbench.
Methods in org.eclipse.ui with parameters of type IRunnableContext
Modifier and Type
Method
Description
`boolean`
IWorkbench.`saveAll(IShellProvider shellProvider, IRunnableContext runnableContext, ISaveableFilter filter, boolean confirm)`
Save all dirty saveables in the workbench that match the given filter.

## Uses of IRunnableContext in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IRunnableContext
Modifier and Type
Method
Description
`protected IRunnableContext`
FileDocumentProvider.`getOperationRunner(IProgressMonitor monitor)`
`protected IRunnableContext`
StorageDocumentProvider.`getOperationRunner(IProgressMonitor monitor)`
`protected IRunnableContext`
TextFileDocumentProvider.`getOperationRunner(IProgressMonitor monitor)`
Returns the runnable context for this document provider.

## Uses of IRunnableContext in org.eclipse.ui.progress

Subinterfaces of IRunnableContext in org.eclipse.ui.progress
Modifier and Type
Interface
Description
`interface`
`IProgressService`
The progress service is the primary interface to the workbench progress support.
`interface`
`IWorkbenchSiteProgressService`
IWorkbenchPartProgressService is an IProgressService that adds API for jobs that change the state in a IWorkbenchPartSite while they are being run.
Methods in org.eclipse.ui.progress with parameters of type IRunnableContext
Modifier and Type
Method
Description
`void`
IProgressService.`runInUI(IRunnableContext context, IRunnableWithProgress runnable, ISchedulingRule rule)`
Runs the given operation in the UI thread using the given runnable context.

## Uses of IRunnableContext in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IRunnableContext
Modifier and Type
Method
Description
`protected abstract IRunnableContext`
AbstractDocumentProvider.`getOperationRunner(IProgressMonitor monitor)`
Returns the runnable context for this document provider.